#pragma once
#include <Attributes.h>
#include <Result.h>
#include <Types.h>

namespace TextConsole
{
    void clear();
    void putchar(char c);
    void set_foreground(u32 color);
    void set_background(u32 color);
    u32 foreground();
    u32 background();
    void move_to(u32 x, u32 y);
    void print(const char* str);
    void println(const char* str);
    Result<usize> printf(const char* format, ...) _format(1, 2);
}